;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux ruby package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The ruby package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/rdtool-elisp") load-path))

(autoload 'rd-mode "rd-mode" "Major mode for RD editing" t)
(setq auto-mode-alist
      (cons '("\\.rd\\'" . rd-mode) auto-mode-alist))
